| Flutter Linux Embedder |

Public Attributes | List of all members
_FlKeyboardViewDelegateInterface Struct Reference

`#include <fl_keyboard_view_delegate.h>`

## Public Attributes
GTypeInterface | g_iface
void(* | send_key_event )(FlKeyboardViewDelegate *delegate, const FlutterKeyEvent *event, FlutterKeyEventCallback callback, void *user_data)
gboolean(* | text_filter_key_press )(FlKeyboardViewDelegate *delegate, FlKeyEvent *event)
FlBinaryMessenger *(* | get_messenger )(FlKeyboardViewDelegate *delegate)
void(* | redispatch_event )(FlKeyboardViewDelegate *delegate, FlKeyEvent *event)
void(* | subscribe_to_layout_change )(FlKeyboardViewDelegate *delegate, KeyboardLayoutNotifier notifier)
guint(* | lookup_key )(FlKeyboardViewDelegate *view_delegate, const GdkKeymapKey *key)
GHashTable *(* | get_keyboard_state )(FlKeyboardViewDelegate *delegate)

## Detailed Description

FlKeyboardViewDelegate:

An interface for a class that provides `FlKeyboardHandler` with platform-related features.

This interface is typically implemented by `FlView`.

Definition at line 36 of file fl_keyboard_view_delegate.h.

## Member Data Documentation

## ◆ g_iface

GTypeInterface _FlKeyboardViewDelegateInterface::g_iface

Definition at line 37 of file fl_keyboard_view_delegate.h.

## ◆ get_keyboard_state

GHashTable*(* _FlKeyboardViewDelegateInterface::get_keyboard_state) (FlKeyboardViewDelegate *delegate)

Definition at line 57 of file fl_keyboard_view_delegate.h.

## ◆ get_messenger

FlBinaryMessenger*(* _FlKeyboardViewDelegateInterface::get_messenger) (FlKeyboardViewDelegate *delegate)

Definition at line 47 of file fl_keyboard_view_delegate.h.

## ◆ lookup_key

guint(* _FlKeyboardViewDelegateInterface::lookup_key) (FlKeyboardViewDelegate *view_delegate, const GdkKeymapKey *key)

Definition at line 54 of file fl_keyboard_view_delegate.h.

## ◆ redispatch_event

void(* _FlKeyboardViewDelegateInterface::redispatch_event) (FlKeyboardViewDelegate *delegate, FlKeyEvent *event)

Definition at line 49 of file fl_keyboard_view_delegate.h.

## ◆ send_key_event

void(* _FlKeyboardViewDelegateInterface::send_key_event) (FlKeyboardViewDelegate *delegate, const FlutterKeyEvent *event, FlutterKeyEventCallback callback, void *user_data)

Definition at line 39 of file fl_keyboard_view_delegate.h.

## ◆ subscribe_to_layout_change

void(* _FlKeyboardViewDelegateInterface::subscribe_to_layout_change) (FlKeyboardViewDelegate *delegate, KeyboardLayoutNotifier notifier)

Definition at line 51 of file fl_keyboard_view_delegate.h.

## ◆ text_filter_key_press

gboolean(* _FlKeyboardViewDelegateInterface::text_filter_key_press) (FlKeyboardViewDelegate *delegate, FlKeyEvent *event)

Definition at line 44 of file fl_keyboard_view_delegate.h.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_keyboard_view_delegate.h